- Qt 6.4
- Qt Virtual Keyboard
- QML Types
- QtQuick.VirtualKeyboard
- InputContext
- Qt Virtual Keyboard | Commercial or GPLv3

# Obsolete Members for InputContext

The following members of QML type InputContext are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- capsLock : bool`(deprecated)`
- inputItem : QtObject`(deprecated)`
- shift : bool`(deprecated)`

## Property Documentation

capsLock : bool

This property is deprecated. We strongly advise against using it in new code.

Use capsLockActive instead.

This property is changed when the caps lock status changes.

inputItem : QtObject

This property is deprecated. We strongly advise against using it in new code.

This property is changed when the focused input item changes.

shift : bool

This property is deprecated. We strongly advise against using it in new code.

Use shiftActive instead.

This property is changed when the shift status changes.